Skip to content

Limits

This documentation provides information about API for system limits.

API

GET /api/limits/

Permissions

Requires authentication and SuperAdmin permission.

Request

  • Headers
Content-Type: application/json
Authorization: JWT access_token
  • Schema
json
GET /api/limits/

Response

KeyTypeNotes
object_classesobjectCount and limits of object classes.
task_group_templatesobjectCount and limits of task group templates.
task_templatesobjectCount and limits of task templates.
sequencesobjectCount and limits of sequences.
user_groupsobjectCount and limits of user groups.
rolesobjectCount and limits of roles.
single_sign_on_configurationsobjectCount and limits of single sign-on configurations.
authentication_objectsobjectCount and limits of authentication objects.
custom_componentsobjectCount and limits of custom components.
additional_limitsobjectAdditional limits for which count is not available.

Individual response objects

KeyTypeNotes
countintThe current number of objects.
limitintThe maximum permitted number of objects.

Response additional_limits object

KeyTypeNotes
object_class_fieldsintLimit of fields per object class.
object_records_per_object_classintLimit of records per object class.
user_group_membersintLimit of user group members.
object_record_ownersintLimit of object record owners.
object_class_ownersintLimit of object class owners.
object_class_permission_setsintLimit of permission sets per object class.
object_class_permission_set_assignees_usersintLimit of users as assignees per permission set in object class.
object_class_permission_set_assignees_user_groupsintLimit of user groups as assignees per permission set in object class .
task_assignees_usersintLimit of of users as default task assignees.
task_assignees_user_groupsintLimit of of user groups as default task assignees.
user_group_ownersintLimit of user group owners.
object_class_formsintLimit of standalone forms per object class.
records_permission_setsintLimit of record permission sets.
object_record_permission_set_assignees_usersintLimit of users as assignees in object record permission sets.
object_record_permission_set_assignees_user_groupsintLimit of user groups as assignees in object record permission sets.
object_class_document_templatesintLimit of document templates per object class.
ui_configsintLimit of UI configurations.
object_relations_childrenintLimit of children in object relations.
object_relations_depthintLimit of depth in object relations.
object_relations_top_parentsintLimit of top-level parents in object relations.
user_preferencesintLimit of user preferences.
public_filesintLimit of public files.
user_group_permission_setsintLimit of user group permission sets per group.
users_group_permission_set_assignees_usersintLimit of users as assignees per permission set per user group.
users_group_permission_set_assignees_user_groupsintLimit of user groups as assignees per permission set per user group.
  • Successful status 200 OK
  • Response body schema
json
{
  "object_classes": {
    "count": "<int>",
    "limit": "<int>"
  },
  "task_group_templates": {
    "count": "<int>",
    "limit": "<int>"
  },
  "task_templates": {
    "count": "<int>",
    "limit": "<int>"
  },
  "sequences": {
    "count": "<int>",
    "limit": "<int>"
  },
  "user_groups": {
    "count": "<int>",
    "limit": "<int>"
  },
  "roles": {
    "count": "<int>",
    "limit": "<int>"
  },
  "single_sign_on_configurations": {
    "count": "<int>",
    "limit": "<int>"
  },
  "authentication_objects": {
    "count": "<int>",
    "limit": "<int>"
  },
  "custom_components": {
    "count": "<int>",
    "limit": "<int>"
  },
  "additional_limits": {
    "object_class_fields": "<int>",
    "object_records_per_object_class": "<int>",
    "user_group_members": "<int>",
    "object_record_owners": "<int>",
    "object_class_owners": "<int>",
    "object_class_permission_sets": "<int>",
    "object_class_permission_set_assignees_users": "<int>",
    "object_class_permission_set_assignees_user_groups": "<int>",
    "task_assignees_users": "<int>",
    "task_assignees_user_groups": "<int>",
    "user_group_owners": "<int>",
    "object_class_forms": "<int>",
    "records_permission_sets": "<int>",
    "object_record_permission_set_assignees_users": "<int>",
    "object_record_permission_set_assignees_user_groups": "<int>",
    "object_class_document_templates": "<int>",
    "ui_configs": "<int>",
    "object_relations_children": "<int>",
    "object_relations_depth": "<int>",
    "object_relations_top_parents": "<int>",
    "user_preferences": "<int>",
    "public_files": "<int>",
    "user_group_permission_sets": "<int>",
    "users_group_permission_set_assignees_users": "<int>",
    "users_group_permission_set_assignees_user_groups": "<int>"
  }
}

Errors

Standard validation errors.